Package com.documentum.fc.client

# Interface IDfMethodObject

All Superinterfaces:
  `IDfPersistentObject`, `IDfSysObject`, `IDfTypedObject`

public interface IDfMethodObject extends IDfSysObject

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMethodArgs(int index)`
  `String`
  `getMethodContent()`
  Gets the content of the method.
  `String`
  `getMethodType()`
  `String`
  `getMethodVerb()`
  `int`
  `getSuccessReturnCodes(int index)`
  `String`
  `getSuccessStatus()`
  `int`
  `getTimeoutDefault()`
  `int`
  `getTimeoutMax()`
  `int`
  `getTimeoutMin()`
  `boolean`
  `hasMethodContent()`
  Indicates if this method has content.
  `boolean`
  `isLaunchAsync()`
  `boolean`
  `isLaunchDirect()`
  `boolean`
  `isRunAsServer()`
  `boolean`
  `isTraceLaunch()`
  `boolean`
  `isUseMethodContent()`
  `boolean`
  `isUseMethodServer()`
  `void`
  `removeMethodContent()`
  Removes the content of the method.
  `void`
  `setLaunchAsync(boolean value)`
  `void`
  `setLaunchDirect(boolean value)`
  `void`
  `setMethodArgs(int index, String value)`
  `void`
  `setMethodContent(String filePath)`
  Sets the content of the method.
  `void`
  `setMethodType(String value)`
  `void`
  `setMethodVerb(String value)`
  `void`
  `setRunAsServer(boolean value)`
  `void`
  `setSuccessReturnCodes(int index, int value)`
  `void`
  `setSuccessStatus(String value)`
  `void`
  `setTimeoutDefault(int value)`
  `void`
  `setTimeoutMax(int value)`
  `void`
  `setTimeoutMin(int value)`
  `void`
  `setTraceLaunch(boolean value)`
  `void`
  `setUseMethodContent(boolean value)`
  `void`
  `setUseMethodServer(boolean value)`

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfSysObject

  `addDigitalSignature, addESignature, addNote, addReference, addRendition, addRenditionEx, addRenditionEx2, addRenditionEx3, appendContent, appendContentEx, appendFile, appendFileEx, appendPart, areAttributesModifiable, assemble, asVirtualDocument, attachPolicy, bindFile, branch, cancelCheckout, cancelCheckoutEx, cancelScheduledDemote, cancelScheduledPromote, cancelScheduledResume, cancelScheduledSuspend, canDemote, canPromote, canResume, canSuspend, checkin, checkinEx, checkout, checkoutEx, demote, destroyAllVersions, detachPolicy, disassemble, freeze, getAccessDate, getAccessorApplicationPermit, getAccessorCount, getAccessorName, getAccessorPermit, getAccessorPermitType, getAccessorXPermit, getAccessorXPermitNames, getACL, getACLDomain, getACLName, getAclRefValid, getAcsRequests, getAliasSet, getAliasSetId, getAntecedentId, getApplicationType, getAssembledFromId, getAuthors, getAuthorsCount, getBranchCount, getCabinetId, getChronicleId, getCollectionForContent, getCollectionForContentEx2, getCollectionForContentEx3, getCollectionForContentEx4, getComponentId, getComponentIdCount, getCompoundArchitecture, getContainId, getContainIdCount, getContent, getContentAvailability, getContentEx, getContentEx2, getContentEx3, getContentsId, getContentSize, getContentSize, getContentState, getContentStateCount, getContentType, getCreationDate, getCreatorName, getCurrentState, getCurrentStateName, getDirectDescendant, getDoubleContentAttr, getExceptionStateName, getFile, getFileEx, getFileEx2, getFolderId, getFolderIdCount, getFormat, getFrozenAssemblyCount, getFullText, getGroupName, getGroupPermit, getHasEvents, getHasFolder, getHasFrozenAssembly, getImplicitVersionLabel, getKeywords, getKeywordsCount, getLatestFlag, getLinkCount, getLinkHighCount, getLocations, getLockDate, getLockMachine, getLockOwner, getLogEntry, getMasterDocbase, getModifier, getModifyDate, getNextStateName, getObjectName, getOtherFileSize, getOwnerName, getOwnerPermit, getPageCount, getPath, getPathEx, getPathEx2, getPermissions, getPermit, getPermitEx, getPolicyId, getPolicyName, getPreviousStateName, getReferenceCount, getRemoteId, getRenditions, getResolutionLabel, getResumeState, getResumeStateName, getRetainerCount, getRetainerId, getRetainUntilDate, getRetentionDate, getRouters, getSpecialApp, getStatus, getStorageType, getStringContentAttr, getSubject, getTimeContentAttr, getTitle, getTypeName, getVdmPath, getVdmPathDQL, getVersionLabel, getVersionLabelCount, getVersionLabels, getVersionPolicy, getVersions, getWorkflows, getWorldPermit, getXPermit, getXPermitList, getXPermitNames, grant, grantPermit, hasPermission, insertContent, insertContentEx, insertFile, insertFileEx, insertPart, isArchived, isCheckedOut, isCheckedOutBy, isContentTransferCapabilityEnabled, isFrozen, isHidden, isImmutable, isLinkResolved, isPublic, isReference, isSuspended, isVirtualDocument, link, mark, mount, print, promote, prune, queue, refreshReference, removeContent, removeNote, removePart, removeRendition, removeRenditionEx, removeRenditionEx2, resolveAlias, resume, revertACL, revoke, revokePermit, saveAsNew, saveLock, scheduleDemote, schedulePromote, scheduleResume, scheduleSuspend, setACL, setACLDomain, setACLName, setApplicationType, setArchived, setAuthors, setCompoundArchitecture, setContent, setContentEx, setContentEx2, setContentType, setDoubleContentAttribute, setFile, setFileEx, setFullText, setGroupName, setGroupPermit, setHidden, setIsVirtualDocument, setKeywords, setLinkResolved, setLogEntry, setObjectName, setOwnerName, setOwnerPermit, setPath, setResolutionLabel, setSpecialApp, setStatus, setStorageType, setStringContentAttribute, setSubject, setTimeContentAttribute, setTitle, setWorldPermit, suspend, unfreeze, unlink, unmark, updatePart, updatePartEx, useACL, verifyESignature`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### getMethodVerb

    String getMethodVerb() throws DfException
    Throws:
      `DfException`

  - ### setMethodVerb

    void setMethodVerb(String value) throws DfException
    Throws:
      `DfException`

  - ### getMethodArgs

    String getMethodArgs(int index) throws DfException
    Throws:
      `DfException`

  - ### setMethodArgs

    void setMethodArgs(int index, String value) throws DfException
    Throws:
      `DfException`

  - ### getTimeoutMin

    int getTimeoutMin() throws DfException
    Throws:
      `DfException`

  - ### setTimeoutMin

    void setTimeoutMin(int value) throws DfException
    Throws:
      `DfException`

  - ### getTimeoutMax

    int getTimeoutMax() throws DfException
    Throws:
      `DfException`

  - ### setTimeoutMax

    void setTimeoutMax(int value) throws DfException
    Throws:
      `DfException`

  - ### getTimeoutDefault

    int getTimeoutDefault() throws DfException
    Throws:
      `DfException`

  - ### setTimeoutDefault

    void setTimeoutDefault(int value) throws DfException
    Throws:
      `DfException`

  - ### isLaunchDirect

    boolean isLaunchDirect() throws DfException
    Throws:
      `DfException`

  - ### setLaunchDirect

    void setLaunchDirect(boolean value) throws DfException
    Throws:
      `DfException`

  - ### isLaunchAsync

    boolean isLaunchAsync() throws DfException
    Throws:
      `DfException`

  - ### setLaunchAsync

    void setLaunchAsync(boolean value) throws DfException
    Throws:
      `DfException`

  - ### isTraceLaunch

    boolean isTraceLaunch() throws DfException
    Throws:
      `DfException`

  - ### setTraceLaunch

    void setTraceLaunch(boolean value) throws DfException
    Throws:
      `DfException`

  - ### isRunAsServer

    boolean isRunAsServer() throws DfException
    Throws:
      `DfException`

  - ### setRunAsServer

    void setRunAsServer(boolean value) throws DfException
    Throws:
      `DfException`

  - ### isUseMethodContent

    boolean isUseMethodContent() throws DfException
    Throws:
      `DfException`

  - ### setUseMethodContent

    void setUseMethodContent(boolean value) throws DfException
    Throws:
      `DfException`

  - ### getMethodType

    String getMethodType() throws DfException
    Throws:
      `DfException`

  - ### setMethodType

    void setMethodType(String value) throws DfException
    Throws:
      `DfException`

  - ### isUseMethodServer

    boolean isUseMethodServer() throws DfException
    Throws:
      `DfException`

  - ### setUseMethodServer

    void setUseMethodServer(boolean value) throws DfException
    Throws:
      `DfException`

  - ### getSuccessReturnCodes

    int getSuccessReturnCodes(int index) throws DfException
    Throws:
      `DfException`

  - ### setSuccessReturnCodes

    void setSuccessReturnCodes(int index, int value) throws DfException
    Throws:
      `DfException`

  - ### getSuccessStatus

    String getSuccessStatus() throws DfException
    Throws:
      `DfException`

  - ### setSuccessStatus

    void setSuccessStatus(String value) throws DfException
    Throws:
      `DfException`

  - ### setMethodContent

    void setMethodContent(String filePath) throws DfException
    Sets the content of the method. This replaces any existing content of the method and sets the method to use its content. After the method is saved, the content is removed from the local file system.
    Parameters:
      `filePath` - The path of the method content.
    Throws:
      `DfException`

  - ### removeMethodContent

    void removeMethodContent() throws DfException
    Removes the content of the method. No exception is thrown if there is no content in this method intially. If there is a content file in the file system, this removes the file from the file system.
    Throws:
      `DfException`

  - ### hasMethodContent

    boolean hasMethodContent() throws DfException
    Indicates if this method has content.
    Returns:
      True means this method has content. False otherwise.
    Throws:
      `DfException`

  - ### getMethodContent

    String getMethodContent() throws DfException
    Gets the content of the method.
    Returns:
      The path of the method content if any. If there is no content, this is null.
    Throws:
      `DfException`